Subject: Re: [PATCH v2] net: sfp: add quirks for GPON ONT SFP sticks

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 7 Apr 2026 09:18:32 +0100

On Mon, Apr 06, 2026 at 12:17:21PM +0000, John Pavlick wrote:
> Several GPON ONT SFP sticks based on Realtek RTL960x report
> 1000BASE-LX at 1300MBd in their EEPROM but can operate at 2500base-X.
> On hosts with serdes fixed at 2.5Gbase-X (e.g. Banana Pi R3 / MT7986),
> the kernel rejects them with 'no common interface modes'.
> 
> Add quirks for:
> - Hisense-Leox LXT-010S-H
> - Hisense ZNID-GPON-2311NA
> - HSGQ HSGQ-XPON-Stick
> 
> Each quirk advertises 2500base-X and ignores TX_FAULT during the
> module's ~40s Linux boot time.
> 
> Tested on Banana Pi R3 (MT7986) with OpenWrt 25.12.1, confirmed
> 2.5Gbps link and full throughput with flow offloading.
> 
> Suggested-by: Marcin Nita <[email-masked]>
> Signed-off-by: John Pavlick <[email-masked]>
> ---
> Changes in v2:
>   - Add Suggested-by tag for Marcin Nita <[email-masked]>, who
>     suggested investigating sfp.c quirks as a solution rather than
>     attempting to edit the EEPROM data directly on the module.

Please read the maintainer-netdev documentation, particularly on
submisison of patches. You need to specify the tree and also avoid
resending within 24 ours.

Patch looks fine.

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!